#include "FileBuffer.hpp"

TrackInfoList FileBuffer::getTrackInfoList() const
{
    return myList;
}

void FileBuffer::clear()
{
    myMutex.lock();
    myList.clear();
    myMutex.unlock();
}

void FileBuffer::append(const TrackInfo& info)
{
    myMutex.lock();
    myList.append(info);
    myMutex.unlock();
}

FileBuffer::FileBuffer()
{
}
