#ifndef FILEBUFFER_HPP
#define FILEBUFFER_HPP

#include "TrackInfo.hpp"
#include <QMutex>

class FileBuffer
{
public:
    FileBuffer();

    TrackInfoList getTrackInfoList() const;

    void clear();
    void append(const TrackInfo& info);

private:
    QMutex myMutex;
    TrackInfoList myList;
};

#endif // FILEBUFFER_HPP
