#ifndef ARTISTALBUMITEM_HPP
#define ARTISTALBUMITEM_HPP

#include "ColectionItem.hpp"

class ArtistAlbumItem : public ColectionItem
{
    Q_OBJECT
public:
    explicit ArtistAlbumItem(qreal width,int index,QString text,bool album,QGraphicsItem* parent = 0);

    ColectionItem* newInstance(qreal width,int index,QString text,
                               QGraphicsItem* parent);

    void setIsAlbum(bool album);

protected:
    void paint(QPainter* painter,const QStyleOptionGraphicsItem* option,QWidget* widget);
    void mousePressEvent(QGraphicsSceneMouseEvent* event);
    void mouseReleaseEvent(QGraphicsSceneMouseEvent* event);
    void mouseMoveEvent(QGraphicsSceneMouseEvent* event);

private:
    bool isAlbum;
    QPointF dragStart;
};

#endif // ARTISTALBUMITEM_HPP
