#ifndef CLEARITEM_HPP
#define CLEARITEM_HPP

#include <QGraphicsObject>

class ClearItem : public QGraphicsObject
{
    Q_OBJECT
public:
    explicit ClearItem(QGraphicsItem* parent = 0);

    QRectF boundingRect() const;

protected:
    void paint(QPainter* painter,const QStyleOptionGraphicsItem* option,QWidget* widget);
    void mousePressEvent(QGraphicsSceneMouseEvent* event);

signals:
    void clicked();

private:
    QPainterPath path;
};

#endif // CLEARITEM_HPP
