#ifndef SLIDEINDYCATOR_HPP
#define SLIDEINDYCATOR_HPP

#include <QGraphicsObject>

class SlideIndycator : public QGraphicsObject
{
    Q_OBJECT
public:
    explicit SlideIndycator(qreal height,QGraphicsItem* parent = 0);
    QRectF boundingRect() const;

    void setParametres(qreal heigh,int ticks,int tick);

    void tickUp();
    void tickDown();

protected:
    void paint(QPainter* painter,const QStyleOptionGraphicsItem* option,QWidget* widget);
    void mousePressEvent(QGraphicsSceneMouseEvent* event);
    void mouseMoveEvent(QGraphicsSceneMouseEvent* event);

signals:
    void scroll(int ticks);

private:
    qreal myHeight;
    int tickCount;
    int currentTick;
    qreal tickSize;
};

#endif // SLIDEINDYCATOR_HPP
