#ifndef TRACKITEM_HPP
#define TRACKITEM_HPP

#include "ColectionItem.hpp"

class TrackItem : public ColectionItem
{
    Q_OBJECT
public:
    explicit TrackItem(qreal width,int index,QString text,QGraphicsItem* parent = 0);

    ColectionItem* newInstance(qreal width,int index,QString text,
                               QGraphicsItem* parent);

protected:
    void paint(QPainter* painter,const QStyleOptionGraphicsItem *option,QWidget* widget);
    void mousePressEvent(QGraphicsSceneMouseEvent* event);
    void mouseReleaseEvent(QGraphicsSceneMouseEvent* event);
    void mouseMoveEvent(QGraphicsSceneMouseEvent* event);

private:
    QPointF dragStart;

};

#endif // TRACKITEM_HPP
