#include "DirBuffer.hpp"

void DirBuffer::clear()
{
    myMutex.lock();
    pathList.clear();
    myMutex.unlock();
}

void DirBuffer::append(QString path)
{
    myMutex.lock();
    pathList.append(path);
    myMutex.unlock();
}

QString DirBuffer::takeFirst(bool& ok)
{
    QString resault = "";
    ok = false;
    myMutex.lock();
    if(pathList.count() > 0)
    {
        ok = true;
        resault = pathList.takeFirst();
    }
    myMutex.unlock();
    return resault;
}

DirBuffer::DirBuffer()
{
}
