#ifndef DIRBUFFER_HPP
#define DIRBUFFER_HPP

#include <QMutex>
#include <QStringList>

class DirBuffer
{
public:
    DirBuffer();

    void clear();
    void append(QString path);
    QString takeFirst(bool& ok);

private:
    QMutex myMutex;
    QStringList pathList;
};

#endif // DIRBUFFER_HPP
