#ifndef DIRSCANNER_HPP
#define DIRSCANNER_HPP

#include <QObject>

class DirBuffer;

class DirScanner : public QObject
{
    Q_OBJECT
public:
    explicit DirScanner(DirBuffer* buffer);
    ~DirScanner();
    void stop();

signals:
    void dirScanFinished();

public slots:
    void starDirScan(QString dirPath);

private:
    DirBuffer* myBuffer;
    QThread* myThread;
    bool run;
};

#endif // DIRSCANNER_HPP
