#ifndef SCANDIALOG_HPP
#define SCANDIALOG_HPP

#include "ui_ScanDialog.h"
#include "TrackInfo.hpp"

class ColectionScanner;

class ScanDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ScanDialog(QWidget *parent = 0);

    TrackInfoList getResault() const;

protected:
    void changeEvent(QEvent *e);

private slots:
    void startScan();
    void cancelScan();
    void scanFinished();
    void insertResaults();
    void message(QString message);

private:
    Ui::ScanDialog ui;

    ColectionScanner* scanner;
};

#endif // SCANDIALOG_HPP
