#include "VolumeControl.hpp"
#include "VolumeSlider.hpp"
#include <QPainter>

QRectF VolumeControl::boundingRect() const
{
    return QRectF(0.0f,0.0f,137.0f,48.0f);
}

void VolumeControl::paint(QPainter* painter,const QStyleOptionGraphicsItem*,QWidget*)
{
    painter->drawPixmap(0,0,QPixmap(":/eyecandy/volume.png"));
}

void VolumeControl::volumeChanged(qreal newVolumne)
{
    slider->setValue(newVolumne);
}

VolumeControl::VolumeControl(QGraphicsItem* parent)
    :QGraphicsObject(parent)
{
    slider = new VolumeSlider(this);
    slider->setPos(37.0f,0.0f);
    connect(slider,SIGNAL(valueChanged(qreal)),this,SIGNAL(slideValueChanged(qreal)));
}
