#ifndef VOLUMECONTROL_HPP
#define VOLUMECONTROL_HPP

#include <QGraphicsObject>

class VolumeSlider;

class VolumeControl : public QGraphicsObject
{
    Q_OBJECT
public:
    explicit VolumeControl(QGraphicsItem* parent = 0);

    QRectF boundingRect() const;

protected:
    void paint(QPainter* painter,const QStyleOptionGraphicsItem* option,QWidget* widget);

public slots:
    void volumeChanged(qreal newVolumne);

signals:
    void slideValueChanged(qreal newValue);

private:
    VolumeSlider* slider;
};

#endif // VOLUMECONTROL_HPP
